TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

ClassNumber ( fld^num K ) -> elt-ord^rat

### Optional Arguments

Proof | string |  | "Bound" or "Current" or "Full" or "GRH" or "Subgroup"
Bound | elt-ord^rat |  |
Enum | elt-alg^boo |  |
FactorBasisBound | elt-fld^rea |  |
ProofBound | elt-fld^rea |  |
ExtraRelations | elt-ord^rat |  |
Al | string |  | "Automatic" or "ReducedForms" or "Relations" or "Shanks"

### Description

<shortdoc> The cardinality of the class group for the ring of integers of K. </shortdoc>

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack